### Method

# Gcr Prompt password_run

#### Declaration [src]

    const gchar*
    gcr_prompt_password_run (
      GcrPrompt* prompt,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Prompts for password. Set the various properties on the prompt before calling this method to explain which password should be entered.

This method will block until the a response is returned from the prompter and will run a main loop similar to a gtk_dialog_run(). The application will remain responsive but care must be taken to handle reentrancy issues.

A password will be returned if the user enters a password successfully. The returned password is valid until the next time a method is called to display another prompt.

`NULL` will be returned if the user cancels or if an error occurs. Check the `error` argument to tell the difference.

#### Parameters

`cancellable` | `GCancellable`
| Optional cancellation object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `const gchar*`
| The password owned by the prompt, or `NULL`.
| The data is owned by the instance.
| The value is a NUL terminated UTF-8 string.